msvc(8)

NAME
msvc - control minit

SYNOPSIS
msvc [ -[uodpchaitko] ] [ -P pid ] service [...]

DESCRIPTION
msvc is the management interface to minit. service is the service directory name relative to /etc/minit. Starting with minit 0.9 you can also include /etc/minit/ in the service name.

OPTIONS
If no option is given, msvc will just print a small diagnostic message to stdout, saying if the service is up, down or finished, which PID it has if it is up, and for how long it has been in this state.

-u  Up. If the service is not running, start it. If the service stops, restart it.

-o  Once. If the service is not running, start it. If the service stops, do not restart it.

-d  Down. If the service is running, send it a TERM signal and then a CONT signal. After it stops, do not restart it.

-p  Pause. Send the service a STOP signal.

-c  Continue. Send the service a CONT signal.

-h  Hangup. Send the service a HUP signal.

-a  Alarm. Send the service an ALRM signal.

-i  Interrupt. Send the service an INT signal.

-t  Terminate. Send the service a TERM signal.

-k  Terminate. Send the service a KILL signal.

-P pid
    Set PID. Tell minit the PID of the service is really pid. This is useful for services that fork themselves in the background but put their real PID in a file, typically called /var/run/service.pid. Used by pidfilehack.

RETURN CODES
Generally, msvc return zero if everything is OK or 1 on error (could not open /etc/minit/in or /etc/minit/out or there is no process with the given name). In diagnostic mode, it will exit 0 if the service is up, 2 if it is down or 3 if it is finished.

SEE ALSO
pidfilehack(8), svc(8)